---
- name: install prometheus node exporter
  apt:
    name: prometheus-node-exporter
    state: present

- name: set node exporter config
  lineinfile:
    path: /etc/default/prometheus-node-exporter
    regexp: '^ARGS='
    line: ARGS="--web.listen-address=10.80.0.2:9100"
  notify: restart-node-exporter

- name: depend on wg0 for node exporter
  copy:
    dest: /etc/systemd/system/prometheus-node-exporter.service.d/override.conf
    src: prometheus-node-exporter.service-override.conf
